/* Block: categories-list (categories-list) */
.g-91af20bd { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-91af20bd .g-0bfc3d5e { position: relative; text-decoration: none; background-color: var(--color-surface); flex: 0 0 calc((100% - (var(--size-s) * 4)) / 5); padding: var(--size-s) var(--size-s) 90px; border-radius: var(--b-radius); text-align: left; overflow-wrap: break-word; text-wrap: balance; min-height: 156px; transition: .2s ease-in-out filter; }
.g-91af20bd .g-0bfc3d5e:hover { filter: brightness(0.96); }
.g-91af20bd .g-0bfc3d5e:hover .g-32b8e8b4 { opacity: 1; }
.g-91af20bd .g-faa1e097 { position: relative; z-index: 1; }
.g-91af20bd .g-32b8e8b4 { position: absolute; bottom: 16px; right: 16px; font-size: 80px; opacity: .3; transition: .2s ease-in-out opacity; }
@media screen and (max-width: 1024px) { .g-0bfc3d5e { flex: 0 0 calc((100% - (var(--size-s) * 2)) / 3); padding: var(--size-xs) var(--size-xs) 82px; }
.g-32b8e8b4 { font-size: 72px; }
 }@media screen and (max-width: 768px) { .g-0bfc3d5e { flex: 0 0 calc((100% - var(--size-s)) / 2); min-height: 119px; padding-bottom: 70px; }
.g-32b8e8b4 { font-size: 56px; }
 }

/* Block: category-header (category-header) */
.g-21a910a5 { display: flex; flex-direction: column; justify-content: flex-start; align-items: center; padding: var(--size-s); background-color: var(--color-surface); border-radius: var(--b-radius); max-width: 700px; margin: var(--size-m) auto var(--section-padding); }
.g-21a910a5 .g-5a1aefa9 { display: inline-flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-21a910a5 .g-e38ed82c { margin-top: var(--size-s); text-align: center; }
@media screen and (max-width: 576px) { .g-5a1aefa9 { display: flex; margin: 0 auto; justify-content: center; gap: var(--size-xxs); }
.g-e38ed82c { margin-top: var(--size-xs); }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-d664e785 { display: none; position: fixed; bottom: 0; left: 0; width: 100%; padding: var(--size-m); z-index: 3; }
.g-124e96a5 { display: block; }
.g-045a0378 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xl); }
.g-ebb0793f { width: 195px; display: flex; flex-direction: column; gap: var(--size-xs); }
.g-8fed01f0 { width: 100%; }
@media screen and (max-width: 768px) { .g-d664e785 { padding: var(--size-s); }
.g-045a0378 { text-align: center; gap: var(--size-s); flex-direction: column; }
.g-ebb0793f { width: 100%; flex-direction: row; justify-content: center; flex-wrap: wrap; }
.g-8fed01f0 { width: auto; }
 }@media screen and (max-width: 576px) { .g-ebb0793f { gap: var(--size-xxs); }
 }

/* Block: featured-posts (featured-posts) */
.g-0efa8ec2 { display: grid; grid-template-columns: minmax(0, 1fr) 466px; gap: var(--size-s); align-items: start; }
.g-b5e9b810 { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-e261bd6f { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-0efa8ec2 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-0efa8ec2 { grid-template-columns: 1fr; gap: var(--size-l); }
 }

/* Block: footer (footer) */
.g-3df70d93 { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-565aeeab { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-565aeeab.g-37f0b165 { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-c828fbf0 { margin-top: var(--section-padding); }
.g-ce84a128 { position: relative; background-color: var(--color-primary); color: var(--color-text-light); border-radius: var(--b-radius); padding: var(--size-xl); display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); margin-bottom: -80px; }
.g-195cde39 { max-width: 510px; }
.g-673c5d39 { max-width: 430px; }
.g-8f9ff3b5 { margin-top: var(--size-xs); }
.g-795ea3bd { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-5d8492b2 { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-61c87cb6 { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-61c87cb6:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-3fc26f05 { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-a31ee25c { transform: scale(1.2); margin-right: var(--size-xs); }
.g-e0ad9695 { background-color: var(--color-secondary); color: var(--color-text-light); padding-top: 160px; padding-bottom: var(--size-m); }
.g-04c94916 { display: flex; flex-direction: column; justify-content: center; align-items: center; gap: var(--size-m); }
.g-58238a9e { display: flex; justify-content: flex-end; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); }
.g-79a458cd { margin: var(--size-xl) 0; border-color: var(--color-surface); }
.g-0963feef { display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-ce84a128 { padding: var(--size-m); }
.g-195cde39 { max-width: initial; }
.g-673c5d39 { max-width: initial; }
 }@media screen and (max-width: 768px) { .g-0963feef { flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-693a3019 { order: 3; width: 100%; }
 }@media screen and (max-width: 576px) { .g-ce84a128 { gap: var(--size-m); }
.g-795ea3bd { flex-direction: column; gap: var(--size-xxs); }
.g-5d8492b2 { width: 100%; }
.g-61c87cb6 { width: 100%; }
.g-04c94916 { justify-content: flex-start; align-items: flex-start; }
.g-58238a9e { flex-direction: column; justify-content: flex-start; align-items: flex-start; }
 }

/* Block: header (header) */
#navigation-modal .menu-item,
#navigation-modal .page_item {
    transition: color .2s ease-out;
}
#navigation-modal .menu-item:hover,
#navigation-modal .menu-item a:hover,
#navigation-modal .page_item:hover,
#navigation-modal .page_item a:hover {
    color: var(--color-primary);
}
#navigation-modal .current-menu-item,
#navigation-modal .current_page_item,
#navigation-modal .current-menu-item a,
#navigation-modal .current_page_item a {
    color: var(--color-primary);
}

.g-69f576bf { position: sticky; top: 0; background-color: var(--color-surface); z-index: 5; }
.g-7905674a { display: flex; justify-content: space-between; align-items: center; height: 80px; position: relative; }
.g-a243a5f0 { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; }
.g-b48d1bf1 { font-size: 36px; margin-right: var(--size-xs); }
.g-cc64c9bb { font-size: 24px; font-weight: 600; }
.g-0d95b81a { display: flex; justify-content: flex-end; align-items: center; gap: var(--size-xs); }
.g-83e4022d { text-decoration: none; white-space: nowrap; padding: var(--size-xxs); }
.g-5c3e373a { display: none; flex-direction: column; gap: 5px; border: 0; background-color: transparent; padding: 10px; }
.g-49d0eafe { width: 32px; height: 3px; }
@media screen and (max-width: 768px) { .g-c00a21b6 { position: absolute; right: 0; bottom: 0; transform: translateY(100%); background-color: var(--color-secondary); width: 260px; padding: var(--size-m); box-shadow: 0 4px 20px var(--input-bg); display: none; }
.g-c00a21b6.g-7df7c304 { display: block; }
.g-0d95b81a { gap: var(--size-m); flex-direction: column; align-items: flex-start; color: var(--color-text-light); }
.g-5c3e373a { display: flex; cursor: pointer; }
 }@media screen and (max-width: 576px) { .g-c00a21b6 { width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-656e2d4d { padding: var(--section-padding) 0; }
.g-51c83e76 { display: flex; }
.g-7e01d90d { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-73fcbe43 { margin-top: var(--size-s); }
.g-0bf0c100 { margin-top: var(--size-m); }
.g-b17d29e6 { flex: 1; }
.g-2a548921 { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-51c83e76 { flex-direction: column; }
.g-7e01d90d { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-2a548921 { height: 400px; }
 }@media screen and (max-width: 576px) { .g-7e01d90d { padding-bottom: var(--size-m); }
.g-2a548921 { height: auto; }
 }

/* Block: page-404 (page-404) */
.g-91b7aa02 { display: flex; justify-content: center; align-items: center; flex-direction: column; position: relative; min-height: 480px; }
.g-12d0f404 { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); max-width: 100%; height: auto; }
.g-f079f71b { position: relative; padding: var(--size-xl) 0; }
.g-7bf740d8 { text-align: center; }
.g-5648c3a3 { text-align: center; margin-top: var(--size-s); }
.g-63b1d53b { display: flex; justify-content: center; align-items: center; gap: var(--size-m); }
@media screen and (max-width: 576px) { .g-63b1d53b { flex-direction: column; gap: var(--size-xs); }
 }

/* Block: page-content (page-content) */
.g-324645f0 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-324645f0 { padding: var(--size-xs); }
 }

/* Block: page-header (page-header) */
.g-c4ddf2b6 { position: relative; padding: 80px 0; color: var(--color-text-light); }
.g-2d750099 { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: -1; }
.g-85767b9f { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
.g-85767b9f::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(180deg, rgba(0, 0, 0, 0.4) 3.41%, #191917 94.77%); }
.g-9e03752a { border-left: 3px solid var(--color-primary); padding-left: var(--size-s); max-width: 650px; }
@media screen and (max-width: 768px) { .g-c4ddf2b6 { padding-bottom: 50px; }
 }@media screen and (max-width: 576px) { .g-c4ddf2b6 { padding-bottom: 40px; }
 }

/* Block: pagination (pagination) */
.g-95a0ebc1 .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-95a0ebc1 .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
}

.g-95a0ebc1 .page-numbers:hover {
    box-shadow: 0px 0px 0px 1px var(--color-secondary);
}

.g-95a0ebc1 .prev {
    left: 0;
    transform: translateX(calc(-100% - 44px));
    color: var(--color-secondary);
}

.g-95a0ebc1 .prev::before {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-95a0ebc1 .next {
    right: 0;
    transform: translateX(calc(100% + 44px));
    color: var(--color-secondary);
}

.g-95a0ebc1 .next::after {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
    transform: scale(-1);
}

.g-95a0ebc1 .prev,
.g-95a0ebc1 .next {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
        color: var(--color-text);
}

.g-95a0ebc1 .prev,
.g-95a0ebc1 .next,
.g-95a0ebc1 .current {
    box-shadow: 0px 0px 0px 1px var(--color-text);
}

@media screen and (max-width: 768px) {
    .g-95a0ebc1 .prev,
    .g-95a0ebc1 .next {
        position: static;
        margin-top: 0;
        transform: none;
    }
}

@media screen and (max-width: 576px) {
    .g-95a0ebc1 .prev::before,
    .g-95a0ebc1 .next::after {
        display: none;
    }
}

.g-95a0ebc1 { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-95a0ebc1 { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-1deb052b { position: relative; overflow: hidden; height: 100%; }
.g-1deb052b .g-f3f2fe27 { position: relative; height: 100%; text-decoration: none; display: flex; flex-direction: column; }
.g-1deb052b .g-e658fb8e { height: 100%; background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; aspect-ratio: 16/10; }
.g-1deb052b .g-e658fb8e img { width: 100%; height: 100%; object-fit: cover; }
.g-1deb052b .g-15662d25 { display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-1deb052b .g-9f5aebb0 { margin-top: var(--size-xs); display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; }
.g-1deb052b .g-3bba2c65 { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-1deb052b .g-760a7411 { margin-top: var(--size-xs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-1deb052b .g-c5497145 { width: 100%; display: flex; justify-content: space-between; align-items: center; margin-top: var(--size-s); }
.g-1deb052b .g-75038678 { display: flex; align-items: center; gap: 8px; }
.g-1deb052b .g-75038678:hover { text-decoration: underline; }
.g-1deb052b .g-067f1703 { white-space: nowrap; opacity: 0.8; }
.g-1deb052b .g-261c4336 { margin-top: var(--size-s); }
.g-1deb052b .g-384b971b { background-color: var(--color-text); width: 4px; height: 4px; border-radius: 50%; }
.g-ca499d9c { position: relative; overflow: hidden; height: 100%; }
.g-ca499d9c .g-f3f2fe27 { position: relative; height: 100%; text-decoration: none; display: flex; align-items: center; justify-content: space-between; gap: 16px; }
.g-ca499d9c .g-e658fb8e { flex-shrink: 0; width: 147px; height: 147px; background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; }
.g-ca499d9c .g-e658fb8e img { width: 100%; height: 100%; object-fit: cover; }
.g-ca499d9c .g-15662d25 { flex: 1; display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-ca499d9c .g-9f5aebb0 { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; }
.g-ca499d9c .g-3bba2c65 { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-ca499d9c .g-760a7411 { margin-top: 8px; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-ca499d9c .g-c5497145 { margin-top: 16px; width: 100%; display: flex; justify-content: space-between; align-items: center; }
.g-ca499d9c .g-261c4336 { margin-top: 16px; }
.g-ca499d9c .g-384b971b { background-color: var(--color-text); width: 4px; height: 4px; border-radius: 50%; }
@media screen and (max-width: 576px) { .g-9f5aebb0 { gap: 0 4px; }
.g-31b8e134 { flex-direction: column-reverse; }
.g-414caa2a { width: 100%; height: auto; aspect-ratio: 16/10; }
.g-afe03362 { width: 100%; }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-09a8fe43 { display: grid; grid-template-columns: 270px 1fr; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-09a8fe43 blockquote { position: relative; background-color: var(--color-surface); border-radius: var(--b-radius); padding: 40px var(--size-s) var(--size-s); margin-top: 40px; }
.g-09a8fe43 blockquote::before { content: ''; position: absolute; top: 0; left: calc(var(--size-s) + 15px); transform: translateY(-50%); display: inline-flex; width: 85px; height: 49px; flex-shrink: 0; background-color: var(--color-primary); mask-repeat: no-repeat; mask-position: center; mask-size: contain; -webkit-mask-repeat: no-repeat; -webkit-mask-position: center; -webkit-mask-size: contain; mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 85 49' fill='none'%3E%3Cpath d='M14.9095 16.6105C18.0479 16.6088 23.2388 16.3158 27.4553 18.1206C40.0116 23.495 38.7245 38.0452 32.1596 43.7914C14.908 58.8919 -9.64319 38.4949 3.93569 16.6105C9.92309 6.96098 19.4084 1.79441 30.5917 0C24.3222 3.0201 14.9095 12.25 14.9095 16.6105Z' fill='black'/%3E%3Cpath d='M62.2327 16.6105C65.3711 16.6088 70.562 16.3158 74.7786 18.1206C87.3349 23.495 86.0478 38.0452 79.4829 43.7914C62.2313 58.8919 37.6801 38.4949 51.2589 16.6105C57.2463 6.96098 66.7316 1.79441 77.9149 0C71.6454 3.0201 62.2327 12.25 62.2327 16.6105Z' fill='black'/%3E%3C/svg%3E"); -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 85 49' fill='none'%3E%3Cpath d='M14.9095 16.6105C18.0479 16.6088 23.2388 16.3158 27.4553 18.1206C40.0116 23.495 38.7245 38.0452 32.1596 43.7914C14.908 58.8919 -9.64319 38.4949 3.93569 16.6105C9.92309 6.96098 19.4084 1.79441 30.5917 0C24.3222 3.0201 14.9095 12.25 14.9095 16.6105Z' fill='black'/%3E%3Cpath d='M62.2327 16.6105C65.3711 16.6088 70.562 16.3158 74.7786 18.1206C87.3349 23.495 86.0478 38.0452 79.4829 43.7914C62.2313 58.8919 37.6801 38.4949 51.2589 16.6105C57.2463 6.96098 66.7316 1.79441 77.9149 0C71.6454 3.0201 62.2327 12.25 62.2327 16.6105Z' fill='black'/%3E%3C/svg%3E"); }
.g-09a8fe43 .g-4709d6a5 { position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-09a8fe43 .g-062c2453 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-09a8fe43 .g-c72a0f38 { margin-top: var(--size-m); }
.g-09a8fe43 .g-4e6b9afa { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-09a8fe43 .g-14e8bd33 { display: flex; justify-content: flex-start; align-items: flex-start; text-decoration: none; gap: 8px; }
.g-09a8fe43 .g-14e8bd33::before { content: var(--toc-number) '.'; flex-shrink: 0; font-weight: 600; text-decoration: none; width: 16px; }
.g-09a8fe43 .g-14e8bd33:hover { color: var(--color-text); }
.g-09a8fe43 .g-5509692a { font-weight: bold; }
.g-09a8fe43 .g-5509692a::before { color: var(--color-primary); background-color: currentColor; mask-repeat: no-repeat; mask-position: center; mask-size: contain; -webkit-mask-repeat: no-repeat; -webkit-mask-position: center; -webkit-mask-size: contain; mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M8 16C3.58172 16 0 12.4183 0 8C0 3.58172 3.58172 0 8 0C12.4183 0 16 3.58172 16 8C16 12.4183 12.4183 16 8 16ZM7.46484 11.5352C7.66011 11.7304 7.97661 11.7304 8.17188 11.5352L11.3535 8.35352C11.5488 8.15825 11.5488 7.84175 11.3535 7.64648L8.17188 4.46484C7.97661 4.26962 7.66009 4.26959 7.46484 4.46484C7.26959 4.66009 7.26962 4.97661 7.46484 5.17188L9.79297 7.5H5C4.72389 7.50002 4.50002 7.72389 4.5 8C4.5 8.27613 4.72388 8.49998 5 8.5H9.79297L7.46484 10.8281C7.26959 11.0234 7.26962 11.3399 7.46484 11.5352Z' fill='black'/%3E%3C/svg%3E"); -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M8 16C3.58172 16 0 12.4183 0 8C0 3.58172 3.58172 0 8 0C12.4183 0 16 3.58172 16 8C16 12.4183 12.4183 16 8 16ZM7.46484 11.5352C7.66011 11.7304 7.97661 11.7304 8.17188 11.5352L11.3535 8.35352C11.5488 8.15825 11.5488 7.84175 11.3535 7.64648L8.17188 4.46484C7.97661 4.26962 7.66009 4.26959 7.46484 4.46484C7.26959 4.66009 7.26962 4.97661 7.46484 5.17188L9.79297 7.5H5C4.72389 7.50002 4.50002 7.72389 4.5 8C4.5 8.27613 4.72388 8.49998 5 8.5H9.79297L7.46484 10.8281C7.26959 11.0234 7.26962 11.3399 7.46484 11.5352Z' fill='black'/%3E%3C/svg%3E"); }
@media screen and (max-width: 1024px) { .g-09a8fe43 { grid-template-columns: 1fr; }
.g-09a8fe43 .g-a553ba4b { display: none; }
.g-09a8fe43 .g-c72a0f38 { margin-top: var(--size-s); }
.g-09a8fe43 .g-4e6b9afa { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-09a8fe43 blockquote { padding: 30px var(--size-s) var(--size-s); margin-top: 30px; }
.g-09a8fe43 blockquote::before { left: var(--size-s); transform: translateY(-50%) scale(.7); }
 }

/* Block: post-header (post-header) */
.g-e994ece7 { position: relative; }
.g-2cdb3769 { width: 100%; }
.g-b33ee7ec { position: relative; display: flex; flex-direction: column; }
.g-fabdc469 { position: absolute; width: 100%; height: 100%; top: 0; left: 0; z-index: -1; }
.g-fabdc469::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.4); }
.g-8dc7e705 { width: 100%; height: 100%; }
.g-dd037f33 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-m); margin-top: var(--size-m); }
.g-222261ed { display: flex; justify-content: center; align-items: center; flex-direction: column; text-align: center; margin: auto; padding: var(--size-xl) 0; max-width: 800px; }
.g-85c819bd { display: inline-flex; justify-content: flex-start; align-items: center; gap: var(--size-s); flex-wrap: wrap; }
.g-280fe6ce { display: flex; justify-content: center; align-items: center; border-radius: var(--b-radius); height: 40px; padding: 8px 32px; background-color: var(--color-primary); text-decoration: none; }
.g-280fe6ce:hover { text-decoration: underline; }
.g-c961f3e1 { margin-top: var(--size-m); }
.g-9b8d1768 { white-space: nowrap; }
@media screen and (max-width: 1024px) { .g-b33ee7ec { padding-bottom: 40px; }
.g-85c819bd { gap: var(--size-xxs); }
.g-280fe6ce { height: 31px; padding: 8px 16px; }
.g-c961f3e1 { margin-top: var(--size-s); }
 }@media screen and (max-width: 768px) { .g-222261ed { padding-bottom: 0; }
.g-280fe6ce { padding: 8px; }
 }@media screen and (max-width: 576px) { .g-b33ee7ec { padding-bottom: 24px; aspect-ratio: auto; height: auto; }
.g-8dc7e705 { aspect-ratio: auto; height: 100%; }
.g-222261ed { margin: var(--size-xl) auto; }
 }

/* Block: posts-list (posts-list) */
.g-2189709d { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-2189709d { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-2189709d { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-d75d04b3 { text-align: center; }
.g-e4d6c714 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); }
.g-fd1f7f61 { background-color: var(--color-secondary); display: flex; justify-content: center; align-items: center; border-radius: var(--size-l); padding: 8px; gap: 16px; }
.g-c9885553 { width: var(--size-l); height: var(--size-l); border-radius: 50%; border: 0; padding: 0; background-color: transparent; display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-c9885553:hover { background-color: var(--color-primary); }
@media screen and (max-width: 768px) { .g-e4d6c714 { margin-top: var(--size-m); }
.g-fd1f7f61 { border-radius: var(--size-m); }
.g-c9885553 { width: var(--size-m); height: var(--size-m); }
 }

/* Block: search (search) */
.g-eabf780b { background: var(--color-surface); padding: var(--size-m); border-radius: var(--b-radius); margin-top: var(--size-m); }
.g-eabf780b .g-46f683fe { text-align: center; max-width: 500px; margin: 0 auto; }
.g-eabf780b .g-f12939b1 { margin-top: var(--size-m); }
.g-9b349f2f { margin-top: var(--size-xl); }
.g-42fc9cb0 { margin: var(--size-m) auto 0; max-width: 500px; text-align: center; }
@media screen and (max-width: 768px) { .g-eabf780b { padding: var(--size-s); }
 }

/* Block: searchform (searchform) */
.g-4b34240c { position: relative; display: inline-block; width: 100%; height: 48px; border-radius: 48px; background-color: var(--color-primary); padding: 4px 0; margin-top: 10px; }
.g-4b34240c .g-e0485712 { color: var(--color-text); position: absolute; top: 50%; transform: translateY(-50%); left: 4px; width: calc(100% - 56px); height: 40px; border-radius: 44px; background-color: var(--color-surface); border: 0; padding: var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-4b34240c .g-7e05f469 { position: absolute; right: 0; top: 0; height: 100%; border: 0; width: 52px; border-radius: 48px; cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0; transition: opacity .2s ease-in-out; background-color: transparent; }
.g-4b34240c .g-7e05f469:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-e9afd52c { position: fixed; bottom: 0; opacity: 0; right: 30px; opacity: 0; transform: translateY(100%); background-color: var(--color-primary); border: none; width: 60px; height: 60px; border-radius: 50%; cursor: pointer; transition: 0.3s opacity ease-in-out, 0.3s transform ease-in-out; z-index: 4; }
.g-d895b241 { fill: var(--color-text-light); }
.g-5e971e38 { opacity: 1; transform: translateY(-35px); }
@media screen and (max-width: 768px) { .g-e9afd52c { transform: scale(0.8); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-62cf10a0 { padding: var(--section-padding) 0; }
.g-19318cbe { display: flex; }
.g-2523792b { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-be51d305 { margin-top: var(--size-s); }
.g-11b3d8e0 { margin-top: var(--size-m); }
.g-e81682a5 { flex: 1; }
.g-cd836e26 { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-19318cbe { flex-direction: column; }
.g-2523792b { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-cd836e26 { height: 400px; }
 }@media screen and (max-width: 576px) { .g-2523792b { padding-bottom: var(--size-m); }
.g-cd836e26 { height: auto; }
 }

/* Block: front-page::faq--0 (faq) */
.g-8f1d1517 { display: flex; position: relative; gap: var(--size-s); }
.g-8f1d1517 * { flex: 1; }
.g-c9eed9d8 { flex: 1; position: relative; display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-m); }
.g-39a8e22a { flex-shrink: 0; }
.g-837f8a27 { grid-column: span 2; }
.g-ff8fbf9a { user-select: none; }
.g-ff8fbf9a[open] .g-da077bd2 { transform: rotate(45deg); }
.g-9e5c24fc { display: flex; justify-content: space-between; align-items: center; list-style: none; cursor: pointer; padding: var(--size-s) var(--size-m); }
.g-9e5c24fc::-webkit-details-marker { display: none; }
.g-da077bd2 { width: 32px; height: 32px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; background-color: var(--color-bg); border-radius: 50%; margin-left: var(--size-xs); }
.g-da077bd2 svg { fill: var(--color-primary); }
.g-de8361df { padding: 0 var(--size-m) var(--size-s); }
@media screen and (max-width: 870px) { .g-9e5c24fc { padding-top: var(--size-xs); padding-bottom: var(--size-xs); }
.g-da077bd2 { width: 24px; height: 24px; }
.g-da077bd2 svg { width: 16px; height: 16px; }
.g-de8361df { padding-bottom: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-8f1d1517 { flex-direction: column; }
.g-c9eed9d8 { grid-template-columns: 1fr; margin-top: var(--size-m); }
.g-837f8a27 { grid-column: span 1; }
 }@media screen and (max-width: 576px) { .g-8f1d1517 { text-align: center; }
 }

/* Block: front-page::categories-list (categories-list) */
.g-f35c28f9 { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-f35c28f9 .g-786c6121 { position: relative; text-decoration: none; background-color: var(--color-surface); flex: 0 0 calc((100% - (var(--size-s) * 4)) / 5); padding: var(--size-s) var(--size-s) 90px; border-radius: var(--b-radius); text-align: left; overflow-wrap: break-word; text-wrap: balance; min-height: 156px; transition: .2s ease-in-out filter; }
.g-f35c28f9 .g-786c6121:hover { filter: brightness(0.96); }
.g-f35c28f9 .g-786c6121:hover .g-e0076cac { opacity: 1; }
.g-f35c28f9 .g-3f3815ee { position: relative; z-index: 1; }
.g-f35c28f9 .g-e0076cac { position: absolute; bottom: 16px; right: 16px; font-size: 80px; opacity: .3; transition: .2s ease-in-out opacity; }
@media screen and (max-width: 1024px) { .g-786c6121 { flex: 0 0 calc((100% - (var(--size-s) * 2)) / 3); padding: var(--size-xs) var(--size-xs) 82px; }
.g-e0076cac { font-size: 72px; }
 }@media screen and (max-width: 768px) { .g-786c6121 { flex: 0 0 calc((100% - var(--size-s)) / 2); min-height: 119px; padding-bottom: 70px; }
.g-e0076cac { font-size: 56px; }
 }

/* Block: front-page::featured-posts (featured-posts) */
.g-5392b457 { display: grid; grid-template-columns: minmax(0, 1fr) 466px; gap: var(--size-s); align-items: start; }
.g-06706822 { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-a4dd721a { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-5392b457 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-5392b457 { grid-template-columns: 1fr; gap: var(--size-l); }
 }

/* Block: front-page::page-content--0 (page-content) */
.g-10b7e8e2 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-10b7e8e2 { padding: var(--size-xs); }
 }

/* Block: contacts-page::page-content--0 (page-content) */
.g-cb53f371 { margin: var(--section-padding) 0; }

/* Block: contacts-page::form--0 (form) */
.g-ef4ed8d8 { position: relative; z-index: 1; }
.g-4e9a2e0d { display: flex; justify-content: flex-start; position: relative; gap: var(--size-m); z-index: 1; }
.g-59c7c9ba { flex: 1; display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-19da5a5c { flex: 0 0 660px; padding: var(--size-m) var(--size-m) var(--size-xl); display: flex; flex-direction: column; justify-content: center; }
.g-7012292d { position: relative; z-index: 1; transform: translateY(50%); padding: var(--size-xs); }
.g-a25ac57d { width: 100%; display: flex; justify-content: space-evenly; align-items: flex-start; gap: var(--size-m); flex-wrap: wrap; }
.g-5100c51f { flex: 1; display: flex; align-items: center; flex-direction: column; text-align: center; }
.g-d023d23f { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
.g-53a974e2 { fill: var(--color-text); }
.g-24427cb2 { stroke: var(--color-text); }
.g-4a34aea3 { stroke: var(--color-text); }
.g-a4f282dc { display: flex; flex-direction: column; }
.g-9fa0af78 { width: 100%; height: 370px; }
@media screen and (max-width: 1024px) { .g-4e9a2e0d { flex-direction: column; }
.g-0c00e3a2 { margin-top: 0; }
.g-19da5a5c { flex: 1; }
.g-9fa0af78 { height: 430px; }
 }@media screen and (max-width: 768px) { .g-a4f282dc { margin-top: var(--size-xs); }
 }@media screen and (max-width: 576px) { .g-59c7c9ba { align-items: center; text-align: center; }
.g-19da5a5c { padding: var(--size-s); }
.g-7012292d { transform: translateY(var(--size-xl)); }
.g-a25ac57d { flex-direction: column; align-items: center; }
.g-9fa0af78 { height: 370px; }
 }

/* Block: about-page::highlights--0 (highlights) */
.g-239ca118 { position: relative; display: flex; justify-content: flex-start; align-items: flex-start; gap: var(--size-xl); }
.g-5023a20c { flex: 1; }
.g-fa8fe58a { flex: 1; display: flex; flex-direction: column; gap: var(--size-m); }
.g-5b93b982 { display: flex; justify-content: flex-start; align-items: flex-start; gap: var(--size-s); }
.g-67ca1000 { flex-shrink: 0; width: 44px; height: 44px; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
@media screen and (max-width: 870px) { .g-239ca118 { flex-direction: column; gap: var(--size-m); }
.g-5023a20c { text-align: center; }
 }@media screen and (max-width: 576px) { .g-fa8fe58a { gap: var(--size-s); }
.g-5b93b982 { flex-direction: column; gap: var(--size-xxs); }
 }

/* Block: about-page::page-content--0 (page-content) */
.g-e8766bf2 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-e8766bf2 { padding: var(--size-xs); }
 }

/* Block: approach::text--0 (text) */
.g-e0fc35e9 { padding: var(--size-xl); }
@media screen and (max-width: 768px) { .g-e0fc35e9 { text-align: center; padding: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-e0fc35e9 { padding: var(--size-s); }
 }

/* Block: approach::process--0 (process) */
.g-7ece35a1 { width: 60%; }
.g-8e8de529 { flex: 1; position: relative; display: flex; gap: var(--size-s); }
.g-8e8de529::before { content: ""; position: absolute; top: 135px; left: 0; width: 100%; height: 3px; background-color: var(--color-primary); }
.g-468655fe { flex: 1; }
.g-9e063ef7 { position: relative; height: 100%; }
.g-9e063ef7::before { content: ""; width: 16px; height: 16px; position: absolute; left: 50%; margin-left: -8px; top: 128px; background-color: var(--color-primary); border-radius: 50%; }
.g-1cd6724c { font-size: 80px; line-height: 130%; font-weight: 500; margin-bottom: 72px; text-align: center; }
@media screen and (max-width: 870px) { .g-f61bf672 { flex-direction: column; }
.g-7ece35a1 { width: 100%; }
.g-8e8de529 { flex-direction: column; }
.g-8e8de529::before { top: 0; left: 80px; width: 2px; height: 100%; }
.g-9e063ef7 { display: flex; justify-content: flex-start; align-items: center; }
.g-9e063ef7::before { margin-left: 0; top: 50%; margin-top: -8px; left: 73px; }
.g-1cd6724c { text-align: left; margin-bottom: 0; font-size: 40px; flex: 0 0 110px; }
 }@media screen and (max-width: 576px) { .g-7ece35a1 { text-align: center; }
.g-8e8de529::before { left: 57px; }
.g-9e063ef7::before { left: 50px; }
.g-1cd6724c { font-size: 32px; flex: 0 0 75px; }
 }

/* Block: approach::about--0 (about) */
.g-ed2e91af { display: flex; align-items: center; gap: var(--size-m); }
.g-e59d8b24 { flex: 1; }
.g-0f07d1ce { flex: 1; }
@media screen and (max-width: 768px) { .g-ed2e91af { flex-direction: column-reverse; }
 }@media screen and (max-width: 576px) { .g-0f07d1ce { text-align: center; }
 }

/* Block: approach::text--1 (text) */
.g-49d47905 { text-align: center; }

/* Block: approach::about--1 (about) */
.g-c7001c61 { display: flex; align-items: center; gap: var(--size-m); }
.g-ab1dd438 { flex: 1; }
.g-8100d06e { position: relative; padding: var(--size-m); }
.g-8100d06e::before { content: ""; display: block; position: absolute; top: 0; right: -50%; left: 0; width: 150%; height: 100%; background-color: var(--color-surface); margin-bottom: var(--size-s); z-index: -1; border-radius: var(--b-radius); }
.g-ccfc982a { max-height: 600px; display: flex; justify-content: center; align-items: center; }
@media screen and (max-width: 870px) { .g-c7001c61 { flex-direction: column; align-items: stretch; }
.g-ab1dd438 { flex: auto; }
.g-8100d06e { padding: var(--size-m) var(--size-s); }
.g-8100d06e::before { top: 0; right: 0; left: 0; width: 100%; height: 100%; }
 }@media screen and (max-width: 576px) { .g-8100d06e { text-align: center; }
 }